# Woche 3 (KW 46, 9.–15. November) #

### Agenda ###

- allgemeine Ankündigungen
    - ÜB Abgaben: einscannen -> in DIN A4 o. Ä. konvertieren
    - Git Repo
    - Bitte um Fragen zur VL im Chat zu posten (für später)
- Präsentation von **SKA 2** von den Gruppen:
    - **Gruppe 1** | Aufgabe 1
    - **Gruppe 2** | Aufgabe 2
    - **Gruppe 3** | Aufgabe 3
    - **Gruppe 4** | Aufgabe 6
    - **Gruppe 5** | Aufgabe 11
    - **Gruppe 6** | Aufgabe 5
    - **Gruppe 7** | Aufgabe 4
- Besprechung von ÜB aus vorheriger Woche
    - A1:
        - Missverständnisse über freie Variablen
        - Fallunterscheidung α≠4; (α=4 und β=8); (α=4 und β≠8).
    - A2:
        - Beweisführung: **Zu zeigen:** _L₁ = L₂_. Teil 1: (⊆) ... Teil 2: (⊇).
        - Mechanismus für die Rechtfertigung Rückrichtung fehlte.
    - A3:
        - Logische Umformungen:
            - **Statement**:
                [Es gibt (eine Auswahl von) _n+1_ Gleichungen], die ein _unlösbares_ LGS bilden.
                [Es gibt x], so dass x Eigenschaft Φ erfüllt
            - ⟶ **falsche Verneinung**:
                ~~[Es gibt (eine Auswahl von) _n+1_ Gleichungen], die ein _lösbares_ LGS bilden.~~
            - ⟶ **richtige Verneinung**:
                [Für jede Auswahl von _n+1_ Gleichungen], ist das durch sie definierte LGS _lösbar_.
                [Für alle x], x erfüllt Eigenschaft Φ nicht

        - »Nach Definition ist ein Gleichungssystem unlösbar, wenn eine Gleichung unlösbar ist.«
        ```
                                        A                 <====      B
        ```
        - **Anmerkung** Hier schwankte es einige Male zwischen der Ungewissheit, ob sie
            - hier nur die Implikation verwenden wollten, (Gleichung unlösbar ⟹ System unlösbar)
            - die Definition im Sinne dieses „genau, dann wenn“ Zusammenhangs verstanden hatten.

    Für volle Lösungen siehe Datei [/docs/loesungen.pdf](../../docs/loesungen.pdf).

- Besprechung von Materialien / VL
    - Geogebra
    - Verständnis durch Anschauung vs. formales Vorgehen
    - Beweisführung: wie man formale Aussagen formal aufdrosselt und „Ziele“ setzt („zu zeigen ist...“)
    - konkrete Fragen von Studierenden behandeln
- Quiz 10min (?)
    - fällt evtl. aus
- Breakout-Rooms für SKA (?)
    - fällt evtl. aus
